Page MenuHomeSolus

veusz broken after openblas update
Closed, ResolvedPublic

Description

running veusz I get this error:

$ veusz
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/numpy/core/__init__.py", line 40, in <module>
    from . import multiarray
  File "/usr/lib/python3.7/site-packages/numpy/core/multiarray.py", line 13, in <module>
    from . import overrides
  File "/usr/lib/python3.7/site-packages/numpy/core/overrides.py", line 6, in <module>
    from numpy.core._multiarray_umath import (
ImportError: libopenblas.so.0: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/veusz", line 11, in <module>
    load_entry_point('veusz==3.2', 'gui_scripts', 'veusz')()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2852, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2443, in load
    return self.resolve()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2449, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.7/site-packages/veusz/veusz_main.py", line 32, in <module>
    from veusz import utils
  File "/usr/lib/python3.7/site-packages/veusz/utils/__init__.py", line 21, in <module>
    from .version import *
  File "/usr/lib/python3.7/site-packages/veusz/utils/version.py", line 31, in <module>
    from . import utilfuncs
  File "/usr/lib/python3.7/site-packages/veusz/utils/utilfuncs.py", line 38, in <module>
    import numpy as N
  File "/usr/lib/python3.7/site-packages/numpy/__init__.py", line 142, in <module>
    from . import core
  File "/usr/lib/python3.7/site-packages/numpy/core/__init__.py", line 71, in <module>
    raise ImportError(msg)
ImportError: 

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
Here is how to proceed:
- If you're working with a numpy git repository, try `git clean -xdf`
  (removes all files not under version control) and rebuild numpy.
- If you are simply trying to use the numpy version that you have installed:
  your installation is broken - please reinstall numpy.
- If you have already reinstalled and that did not fix the problem, then:
  1. Check that you are using the Python you expect (you're using /usr/bin/python3),
     and that you have no directories in your PATH or PYTHONPATH that can
     interfere with the Python and numpy versions you're trying to use.
  2. If (1) looks fine, you can open a new issue at
     https://github.com/numpy/numpy/issues.  Please include details on:
     - how you installed Python
     - how you installed numpy
     - your operating system
     - whether or not you have multiple versions of Python installed
     - if you built from source, your compiler versions and ideally a build log

     Note: this error has many possible causes, so please don't comment on
     an existing issue about this - open a new one instead.

Original error was: libopenblas.so.0: cannot open shared object file: No such file or directory

Found that the issue is a broken symbolic link:

libopenblas.so.0 ⇒ libopenblas_nehalemp-r0.3.9.so

This file libopenblas_nehalemp-r0.3.9.so is from openblas-devel.

Installing openblas-devel can solve the issue for now.

Event Timeline

algent created this task.Mar 8 2020, 3:27 PM
JoshStrobl triaged this task as High priority.Mar 8 2020, 3:53 PM
JoshStrobl edited projects, added Software; removed Lacks Project.
JoshStrobl added a subscriber: JoshStrobl.

Will get openblas sorted tomorrow unless someone beats me to it. R2228:4cbe3bb2e5ba: Update to 0.3.9 should've probably had more thorough testing.

JoshStrobl moved this task from Backlog to Package Fixes on the Software board.Mar 8 2020, 3:53 PM

adding openblas-devel in the builddeps seems to fix the issue for this package

@kyrios123 Except from what I could tell, this openblas change landed after an update to R R2778:b123d00b65ed: Update to 3.6.3 and has broken r as well (at least LibR), which also results in rstudio no longer building: https://build.getsol.us/logs/rstudio-1.2.5033-15.log.gz

So those need to be fixed / tested as well, or we just revert those and let @joebonrichie take a look again when he's available / back.

sunnyflunk added a subscriber: sunnyflunk.EditedMar 9 2020, 3:33 AM

This change

-         export _target="CORE2"
+         export _target=""

now means it detects the CPU at build time and builds explicitly for that. So only nehalem and newer machines can run openblas. And why build server built libopenblas_nehalemp-r0.3.9.so while the pspec shows libopenblas_zenp-r0.3.9.so. Reverting that line would then match the patterns and have it back in the main package.